Package io.papermc.paper.event.player

# Class PlayerBedFailEnterEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.player.PlayerEvent
io.papermc.paper.event.player.PlayerBedFailEnterEvent

All Implemented Interfaces:
  `Cancellable`

public class PlayerBedFailEnterEvent extends PlayerEvent implements Cancellable

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`PlayerBedFailEnterEvent.FailReason`

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.player.PlayerEvent

`player`

## Constructor Summary

Constructors
Constructor
Description
`PlayerBedFailEnterEvent(@NotNull Player player, @NotNull PlayerBedFailEnterEvent.FailReason failReason, @NotNull Block bed, boolean willExplode, @Nullable Component message)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull Block`
`getBed()`
`@NotNull PlayerBedFailEnterEvent.FailReason`
`getFailReason()`
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@Nullable Component`
`getMessage()`
`boolean`
`getWillExplode()`
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Cancel this event.
`void`
`setMessage(@Nullable Component message)`
`void`
`setWillExplode(boolean willExplode)`

### Methods inherited from class org.bukkit.event.player.PlayerEvent

`getPlayer`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlayerBedFailEnterEvent

public PlayerBedFailEnterEvent(@NotNull @NotNull Player player, @NotNull @NotNull PlayerBedFailEnterEvent.FailReason failReason, @NotNull @NotNull Block bed, boolean willExplode, @Nullable @Nullable Component message)

## Method Details

### getFailReason

@NotNull public @NotNull PlayerBedFailEnterEvent.FailReason getFailReason()

### getBed

@NotNull public @NotNull Block getBed()

### getWillExplode

public boolean getWillExplode()

### setWillExplode

public void setWillExplode(boolean willExplode)

### getMessage

@Nullable public @Nullable Component getMessage()

### setMessage

public void setMessage(@Nullable @Nullable Component message)

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Cancel this event.

NOTE: This does not cancel the player getting in the bed, but any messages/explosions that may occur because of the interaction.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()